Loading...
Searching...
No Matches
DcmTLSECMismatchedPrivateKeyAndCertificateConst Struct Reference

A struct for creating a mismatched private key and certificate error condition. More...

Inheritance diagram for DcmTLSECMismatchedPrivateKeyAndCertificateConst:

## Public Member Functions

| DcmTLSECMismatchedPrivateKeyAndCertificateConst ()
| Constructor, initializes the OFConditionConst base.
OFCondition | operator() (const char *privateKeyFile, const char *certificateFile) const
| Create a specialized mismatched private key and certificate error condition that refers to the file names of the private key and certificate file that did not match.
Public Member Functions inherited from OFConditionConst
OFBool | operator== (const OFConditionConst &arg) const
| comparison operator.
OFBool | operator!= (const OFConditionConst &arg) const
| comparison operator.

## Additional Inherited Members

Public Attributes inherited from OFConditionConst
unsigned short | theModule
| module identifier. 0 is reserved for global codes.
unsigned short | theCode
| status code that is unique for each module
OFStatus | theStatus
| condition status enum
const char * | theText
| error text

## Detailed Description

A struct for creating a mismatched private key and certificate error condition.

## Constructor & Destructor Documentation

## DcmTLSECMismatchedPrivateKeyAndCertificateConst()

DcmTLSECMismatchedPrivateKeyAndCertificateConst::DcmTLSECMismatchedPrivateKeyAndCertificateConst | ( |  | ) |

Constructor, initializes the OFConditionConst base.

Don't use this if you don't have a very good reason.

## Member Function Documentation

## operator()()

OFCondition DcmTLSECMismatchedPrivateKeyAndCertificateConst::operator() | ( | const char * | privateKeyFile,
|  | const char * | certificateFile ) const

Create a specialized mismatched private key and certificate error condition that refers to the file names of the private key and certificate file that did not match.

Parameters

  privateKeyFile | the file name of the private key file.
  certificateFile | the file name of the certificate file.

Returns
  an OFCondition that compares equal to DCMTLS_EC_MismatchedPrivateKeyAndCertificate but also refers to the file names of the private key and certificate in its descriptive text.

The documentation for this struct was generated from the following file:

- dcmtls/include/dcmtk/dcmtls/tlscond.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0